- Home
- API Enriched
- Tenant And Identity
- send_password_email
- Send Password Email.
Send Password Email.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/send_password_email';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"cname":"example","email":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/send_password_email \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "cname": "example", "email": "hello@example.com" }'SendPasswordEmail enables resetting the password at the time of on-boarding new customer.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”SendPasswordEmailRequest is the request format for resetting the password at the time of on-boarding new customer.
object
Domain under which the tenant belongs to.
Email of the user requesting for Required: YES.
Examplegenerated
{ "cname": "example", "email": "hello@example.com"}Responses
Section titled “Responses”A successful response.
SendPasswordEmailResponse is an empty response after an email had been sent..
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example